<?php

  # project: eBrigade
  # homepage: http://sourceforge.net/projects/ebrigade/
  # version: 5.2

  # Copyright (C) 2004, 2020 Nicolas MARCHE
  # This program is free software; you can redistribute it and/or modify
  # it under the terms of the GNU General Public License as published by
  # the Free Software Foundation; either version 2 of the License, or
  # (at your option) any later version.
  #
  # This program is distributed in the hope that it will be useful,
  # but WITHOUT ANY WARRANTY; without even the implied warranty of
  # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  # GNU General Public License for more details.
  # You should have received a copy of the GNU General Public License
  # along with this program; if not, write to the Free Software
  # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
include_once ("config.php");
check_all(0);
$id=$_SESSION['id'];

if (isset($_GET["pid"])) $pid=intval($_GET["pid"]);
else $pid=$id;
if ( $pid == 0 ) $pid=$id;

$section = get_section_of($pid);

if ( $id <> $pid ) {
    if ( ! check_rights($id, 9)) check_rights($id, 25);
    if ( ! check_rights($id, 9, $section)) check_rights($id, 24);
}

$query="select P_MDP_EXPIRY, datediff(P_MDP_EXPIRY,NOW()) as DAYS_PWD, P_NB_CONNECT from pompier where P_ID = ".$pid;
$result=mysqli_query($dbc,$query);
$row=mysqli_fetch_array($result);
$P_MDP_EXPIRY=$row["P_MDP_EXPIRY"];
$P_NB_CONNECT=intval($row["P_NB_CONNECT"]);
if ( $P_MDP_EXPIRY <> '' ) $DAYS_PWD=$row["DAYS_PWD"];
else $DAYS_PWD=1;

if ( $DAYS_PWD <= 0 ) $nomenu=1;
writehead();

?>
<script>
var minPasswordLength = <?php echo intval($password_length); ?>;
var passwordQuality = <?php echo intval($password_quality); ?>;
</script>
<?php
print import_jquery();
forceReloadJS('js/password.js');
echo "</head>";

echo "<body>";
echo "<div align=center><table class=noBorder>
      <tr><td width = 60 ><i class='fa fa-key fa-2x'></i></td><td>
      <font size=4> <b>Mot de passe $application_title</b></font></td></tr></table>";
      
echo "<p>";
echo "<table cellspacing=0 border=0>";
echo "<form name='change_pwd' action='save_password.php' method='POST'>";
print insert_csrf('change_password');

if ( $pid > 0 ) {
    $nom = get_nom("$pid");
    $prenom = get_prenom("$pid");
    if ( $prenom == 'admin') $msg ="Pour ".$prenom;
    else $msg = "Pour ".ucfirst(get_prenom("$pid"))." ".strtoupper(get_nom("$pid"));
}
else $msg="Choix mot de passe";

echo "<tr>
      <td width=300 colspan=2 class=TabHeader>$msg</td>
      </tr>";
echo "<input type='hidden' name='pid' id ='pid' value='$pid'>";

//=====================================================================
// Message si password expir
//=====================================================================

if ( $DAYS_PWD <= 0 ) {
    if ( $P_NB_CONNECT > 1 )
        echo "<div class='alert alert-warning' role='alert' align='center'><i class ='fa fa-exclamation-triangle fa-lg' style='color:orange;'></i>
            Vous utilisez un mot de passe temporaire ou expir, vous devez le changer maintenant.</div>";
    else
        echo "<div class='alert alert-info' role='alert' align='center'>
            Veuillez choisir un mot de passe personnel.</div>";
}

//=====================================================================
// ligne nouveau password
//=====================================================================

echo "<tr bgcolor=$mylightcolor height=30>
        <td width=150  align=right>Nouveau mot de passe</b></font></td>
        <td width=150 align=center><input type='password' name='new1' id='new1' size='13' autocomplete='OFF' autofocus></td>";
echo "</tr>";
echo "<tr bgcolor=$mylightcolor height=30>
        <td align=right >Rptez</font></td>
        <td align=center><input type='password' name='new2' id='new2' size='13' autocomplete='OFF'></td>";
echo "</tr>";

echo "</table>
<p><div class='' id='passwordStrength'></div><p>"; 
echo "<input id='sauver' type='submit' class='btn btn-default' value='sauver' disabled>";

if ( $P_NB_CONNECT > 0 or $pid > 1 ) {
    if ( $DAYS_PWD <= 0 and $pid == 1 )
        echo " <input type=button value='annuler' class='btn btn-default' onclick=\"javascript:self.location.href='deconnexion.php';\">";
    else
        echo " <input type=button value='annuler' class='btn btn-default' onclick='javascript:history.back(1);'> </form>";
}
writefoot();
?>
