<?php

  # project: eBrigade
  # homepage: http://sourceforge.net/projects/ebrigade/
  # version: 5.2

  # Copyright (C) 2004, 2020 Nicolas MARCHE
  # This program is free software; you can redistribute it and/or modify
  # it under the terms of the GNU General Public License as published by
  # the Free Software Foundation; either version 2 of the License, or
  # (at your option) any later version.
  #
  # This program is distributed in the hope that it will be useful,
  # but WITHOUT ANY WARRANTY; without even the implied warranty of
  # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  # GNU General Public License for more details.
  # You should have received a copy of the GNU General Public License
  # along with this program; if not, write to the Free Software
  # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

include_once ("config.php");
check_all(0);
$id = $_SESSION['id'];
if (! check_rights($id, 18)  and ! check_rights($id,54) and ! check_rights($id,29)) check_all(18);
writehead();
 

function write_param_links( $name, $image, $color, $title, $link, $table) {
    global $dbc,$mylightcolor, $mydarkcolor;
    $query="select count(1) from ".$table;
    $result=mysqli_query($dbc,$query);
    $row=@mysqli_fetch_array($result);
    $number=$row[0];
    
    echo "<tr  bgcolor=$mylightcolor>
    <td align=center>
        <a href=\"".$link."\" title=\"".$title."\" class='s'>
        <i class='fa fa-".$image." fa-2x' style='color:".$color.";'></i>
        </a>
    </td>
    <td>
        <a href=\"".$link."\" title=\"".$title."\" class='s'> ".$name."</a>
    </td>
    <td align=center>".$number."</td>
    </tr>";
}

echo "</head><body>";
echo "<div align=center><font size=4><b>Paramrage de l'application<br></b></font>";
echo "<p><table cellspacing=0 border=0>";

echo "<tr class=TabHeader>";
echo "<td width=60 align=center class=TabHeader></td>
    <td width=200 align=center class=TabHeader>Paramtrage pour:</td>
    <td width=30 align=center class=TabHeader>Nombre</td>";  

if ( check_rights($id, 18)) {
    if ( $vehicules ) {
        write_param_links( "Vhicules", "truck", $mydarkcolor, "Paramtrer les types de vhicules", "type_vehicule.php?page=1", "type_vehicule");
        if ( $evenements) 
            write_param_links( "Fonctions des vhicules", "truck", "#e64d00", "Paramtrer les fonctions des vhicules sur les vnements", "paramfnv.php", "type_fonction_vehicule");
    }
    if ( $materiel ) 
        write_param_links( "Matriel et tenues", "cog" , "purple", "Paramtrer les types de matriel et les tenues du personnel", "type_materiel.php?page=1" , "type_materiel");
    if ( $consommables ) 
        write_param_links( "Consommable", "coffee", "saddlebrown ", "Paramtrer les types de consommables", "type_consommable.php?page=1", "type_consommable");
    if ( $evenements ) {
        write_param_links( "Evnements", "info-circle","blue", "Paramtrer les vnements", "type_evenement.php?page=1", "type_evenement");
        write_param_links( "Fonctions du personnel", "user-md", "#ff0066", "Paramtrer les fonctions du personnel sur les vnements", "paramfn.php?page=1" , "type_participation");
    }
    if ( $competences ) {
        write_param_links( "Comptences", "star", "orange", "Paramtrer les comptences", "poste.php?page=1&order=PS_ID&typequalif=ALL", "poste");
        write_param_links( "Types de Comptences", "certificate", "green", "Paramtrer les types comptences", "equipe.php", "equipe" );
        write_param_links( "Hirarchies de Comptences", "sitemap","black", "Paramtrer les hirarchies de comptences", "hierarchie_competence.php", "poste_hierarchie");
    }
}

if ( $gardes ) {
    if ( check_rights($id, 5))
        write_param_links( "Gardes", "ambulance", "red", "Paramtrer les gardes", "type_garde.php", "type_garde");
}    
if ( check_rights($id,54) ) {
    if ( $competences ) write_param_links( "Diplmes", "certificate", "purple", "Paramtrer l'impression des diplmes", "diplome_edit.php", "poste where PS_PRINTABLE = 1");
}

if ( check_rights($id,29) ) {
    write_param_links( "Elments facturables", "euro","orange", "Paramtrer les lments facturables", "element_facturable.php?from=parametrage", "element_facturable");
}

echo "</table>";

echo "<p><input type='button' class='btn btn-default' value='Retour' name='annuler' onclick=\"javascript:history.back(1);\"><p>";
writefoot();
?>

    
