<?php

  # project: eBrigade
  # homepage: http://sourceforge.net/projects/ebrigade/
  # version: 5.2

  # Copyright (C) 2004, 2020 Nicolas MARCHE
  # This program is free software; you can redistribute it and/or modify
  # it under the terms of the GNU General Public License as published by
  # the Free Software Foundation; either version 2 of the License, or
  # (at your option) any later version.
  #
  # This program is distributed in the hope that it will be useful,
  # but WITHOUT ANY WARRANTY; without even the implied warranty of
  # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  # GNU General Public License for more details.
  # You should have received a copy of the GNU General Public License
  # along with this program; if not, write to the Free Software
  # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

//-------------------------------------------
// Attestations de formation continues
//-------------------------------------------
if ( ! isset($TF_CODE) ) $TF_CODE='I'; 
    
if ( $TF_CODE == 'R' ) {
    $attestation_complement1="";
    $attestation_complement2=" a suivi une session de formation continue sur les units d'enseignement";
    $attestation_complement3="";
    $attestation_complement10="En foi de quoi, nous dlivrons  lintress la prsente attestation pour servir et valoir ce que de droit.";
    $attestation_arretes="";
    $libelle_competence1=$description." (".$type.")";
    $libelle_competence2="";
    $libelle_competence3="";
    $libelle_competence4="";
    $formation=$type;
    if ( $type == 'PSC1' ) {
        $libelle_competence1="prvention et secours civiques de niveau 1 (PSC1)";
        $attestation_arretes="
         Vu larrt du 24 mai 2000 portant organisation de la formation continue dans le domaine des premiers secours;
         Vu larrt du 24 juillet 2007 fixant le rfrentiel national de comptences de scurit civile relatif  lunit denseignement  prvention et secours civiques de niveau 1 ;
         Vu la dcision dagrment PSC1-1707B11 dlivre le 5 juillet 2017 relative aux rfrentiels internes de formation et de certification  lunit denseignement  prvention et secours civiques de niveau 1 ;
         Vu le procs-verbal de formation n".$evenement.", tabli en date du ".$date_pv;
        $attestation_complement1=" La formation continue nest valable que pour les titulaires dun certificat de comptences PSC 1 datant de 5 ans au plus tard aprs son obtention.";
    }
    else if ( $type == 'PSE1' ) {
        $libelle_competence1="premiers secours en quipe de niveau 1 (PSE1)";
        $attestation_arretes="
         Vu larrt du 24 mai 2000 portant organisation de la formation continue dans le domaine des premiers secours ;
         Vu larrt du 24 aot 2007 modifi fixant le rfrentiel national de comptences de scurit civile relatif  lunit denseignement  premiers secours en quipe de niveau 1 ;
         Vu la dcision dagrment PSE1-1805A12 dlivre le 17 mai 2018 relative aux rfrentiels internes de formation et de certification  lunit denseignement  premiers secours en quipe de niveau 1 ;
         Vu le procs-verbal de formation n".$evenement.", tabli en date du ".$date_pv;
        $attestation_complement1=" Sa comptence de secouriste (PSE 1) peut tre exerce jusqu une prochaine formation continue ou au plus tard au 31 dcembre N+1 inclus sous lgide dune association agre ou dun organisme habilit  la formation aux premiers secours conformment aux textes rglementaires en vigueur ou dans le cadre dune activit professionnelle lorsque celle-ci est exige.";
    }
    else if ( $type == 'PSE2' ) {
        $libelle_competence1="premiers secours en quipe de niveau 1 (PSE1)";
        $libelle_competence2="premiers secours en quipe de niveau 2 (PSE2)";
        $attestation_arretes="
         Vu larrt du 24 mai 2000 portant organisation de la formation continue dans le domaine des premiers secours ;
         Vu larrt du 14 novembre 2007 modifi fixant le rfrentiel national de comptences de scurit civile relatif  lunit denseignement  premiers secours en quipe de niveau 2  ;
         Vu la dcision dagrment PSE1-1805A12 dlivre le 17 mai 2018 relative aux rfrentiels internes de formation et de certification  lunit denseignement  premiers secours en quipe de niveau 1 
         Vu la dcision dagrment PSE2-1805A12 dlivre le 17 mai 2018 relative aux rfrentiels internes de formation et de certification  lunit denseignement  premiers secours en quipe de niveau 2 
         Vu le procs-verbal de formation n".$evenement.", tabli en date du ".$date_pv;
        $attestation_complement1=" Ses comptences de secouriste (PSE 1) et dquipier-secouriste (PSE 2) peuvent tre exerces jusqu une prochaine formation continue ou au plus tard au 31 dcembre ".$next_year." inclus sous lgide dune association agre ou dun organisme habilit  la formation aux premiers secours conformment aux textes rglementaires en vigueur ou dans le cadre dune activit professionnelle lorsque celles-ci sont exiges.";
    }
    else if ( $type == 'PAEPSC' ) {
        $formation="FPSC/PSC 1";
        $libelle_competence1="pdagogie applique  lemploi de formateur en prvention et secours civiques (FPSC)";
        $libelle_competence2="prvention et secours civiques de niveau 1 (PSC 1)";
        $attestation_arretes="
         Vu larrt du 24 mai 2000 portant organisation de la formation continue dans le domaine des premiers secours ;
         Vu larrt du 4 septembre 2012 fixant le rfrentiel national de comptences de scurit civile relatif  lunit denseignement  pdagogie applique  lemploi de formateur en prvention et secours civiques  ;
         Vu la dcision dagrment PAEFPSC-1705B92 dlivre le 17 mai 2019 relative aux rfrentiels internes de formation et de certification  lunit denseignement  pdagogie applique  lemploi de formateur en prvention et secours civiques 
         Vu la dcision dagrment PSC1-1707B11 dlivre le 05 juillet 2017 relative aux rfrentiels internes de formation et de certification  lunit denseignement  prvention et secours civiques de niveau 1 
         Vu le procs-verbal de formation n".$evenement.", tabli en date du ".$date_pv;
        $attestation_complement1=" Ses comptences de formateur en prvention et secours civiques (FPSC) et de sauveteur (PSC 1) peuvent tre jusqu une prochaine formation continue ou au plus tard au 31 dcembre ".$next_year." inclus sous lgide dune association agre ou dun organisme habilit  la formation aux premiers secours conformment aux textes rglementaires en vigueur.";
    }
    else if ( $type == 'PAEPS' ) {
        $formation="FPS/PSE1/PSE2";
        $libelle_competence1="pdagogie applique  lemploi de formateur aux premiers secours (FPS)";
        $libelle_competence2="premiers secours en quipe de niveau 1 (PSE 1)";
        $libelle_competence3="premiers secours en quipe de niveau 2 (PSE 2)";
        $attestation_arretes="
         Vu larrt du 24 mai 2000 portant organisation de la formation continue dans le domaine des premiers secours ;
         Vu larrt du 3 septembre 2012 fixant le rfrentiel national de comptences de scurit civile relatif  lunit denseignement  pdagogie applique  lemploi de formateur aux premiers secours  ;
         Vu la dcision dagrment PAEFPS-1802B01 dlivre le 13 fvrier 2018 relative aux rfrentiels internes de formation et de certification  lunit denseignement  pdagogie applique  lemploi de formateur aux premiers secours 
         Vu la dcision dagrment PSE1-1805A12 dlivre le 17 mai 2018 relative aux rfrentiels internes de formation et de certification  lunit denseignement  premiers secours en quipe de niveau 1 
         Vu la dcision dagrment PSE2-1805A12 dlivre le 17 mai 2018 relative aux rfrentiels internes de formation et de certification  lunit denseignement  premiers secours en quipe de niveau 2 
         Vu le procs-verbal de formation n".$evenement.", tabli en date du ".$date_pv;
        $attestation_complement1=" Ses comptences de formateur aux premiers secours (FPS), de secouriste (PSE 1) et  dquipier-secouriste (PSE 2) peuvent tre exerces jusqu une prochaine formation continue ou au plus tard au 31 dcembre ".$next_year." inclus sous lgide dune association agre ou dun organisme habilit  la formation aux premiers secours conformment aux textes rglementaires en vigueur ou dans le cadre dune activit professionnelle lorsque celles-ci sont exiges.";
    }
    else if ( $type == 'FDFPSC' ) {
        $formation="FDF/FPSC/PSC1";
        $libelle_competence1="pdagogie applique  lemploi de formateur de formateurs (FDF)";
        $libelle_competence2="pdagogie applique  lemploi de formateur en prvention et secours civiques (FPSC)";
        $libelle_competence3="prvention et secours civiques de niveau 1 (PSC 1 )";
        $attestation_arretes="
         Vu larrt du 24 mai 2000 portant organisation de la formation continue dans le domaine des premiers secours ;
         Vu larrt du 17 aot 2012 fixant le rfrentiel national de comptences de scurit civile relatif  lunit denseignement  pdagogie applique  lemploi de formateur de formateurs  ;
         Vu la dcision dagrment PAEFDF-1609A03 dlivre le 21 septembre 2016 relative aux rfrentiels internes de formation et de certification  lunit denseignement  pdagogie applique  lemploi de formateur de formateurs  ;
         Vu la dcision dagrment PAEFPSC-1705B92 dlivre le 17 mai 2019 relative aux rfrentiels internes de formation et de certification  lunit denseignement  pdagogie applique  lemploi de formateur en prvention et secours civiques  ;
         Vu la dcision dagrment PSC1-1707B11 dlivre le 05 juillet 2017 relative aux rfrentiels internes de formation et de certification  lunit denseignement  prvention et secours civiques de niveau 1  ;
         Vu le procs-verbal de formation n".$evenement.", tabli en date du ".$date_pv;
        $attestation_complement1=" Ses comptences de formateur de formateurs (FDF), de formateur en prvention et  secours civiques (FPSC) et de sauveteur (PSC 1) peuvent tre exerces jusqu une prochaine formation continue ou au plus tard au 31 dcembre ".$next_year." inclus sous lgide dune association agre ou dun organisme habilit  la formation aux premiers secours conformment aux textes rglementaires en vigueur.";
    }
    else if ( $type == 'FDFPSE' ) {
        $formation="FDF/FPS/PSE1/PSE2";
        $libelle_competence1="pdagogie applique  lemploi de formateur de formateurs (FDF)";
        $libelle_competence2="pdagogie applique  lemploi de formateur aux premiers secours (FPS)";
        $libelle_competence3="premiers secours en quipe de niveau 1 (PSE 1)";
        $libelle_competence4="premiers secours en quipe de niveau 2 (PSE 2)";
        $attestation_arretes="
         Vu larrt du 24 mai 2000 portant organisation de la formation continue dans le domaine des premiers secours ;
         Vu larrt du 17 aot 2012 fixant le rfrentiel national de comptences de scurit civile relatif  lunit denseignement  pdagogie applique  lemploi de formateur de formateurs  ;
         Vu la dcision dagrment PAEFDF-1609A03 dlivre le 21 septembre 2016 relative aux rfrentiels internes de formation et de certification  lunit denseignement  pdagogie applique  lemploi de formateur de formateurs  ;
         Vu la dcision dagrment PAEFPS-1802B01 dlivre le 13 fvrier 2018 relative aux rfrentiels internes de formation et de certification  lunit denseignement  pdagogie applique  lemploi de formateur aux premiers secours 
         Vu la dcision dagrment PSE1-1805A12 dlivre le 17 mai 2018 relative aux rfrentiels internes de formation et de certification  lunit denseignement  premiers secours en quipe de niveau 1 
         Vu la dcision dagrment PSE2-1805A12 dlivre le 17 mai 2018 relative aux rfrentiels internes de formation et de certification  lunit denseignement  premiers secours en quipe de niveau 2 
         Vu le procs-verbal de formation n".$evenement.", tabli en date du ".$date_pv;
        $attestation_complement1=" Ses comptences de formateur de formateurs (FDF), de formateur en premiers secours (FPS), de secouriste (PSE 1) et  dquipier-secouriste (PSE 2) peuvent tre exerces jusqu une prochaine formation continue ou au plus tard au 31 dcembre ".$next_year." inclus sous lgide dune association agre ou dun organisme habilit  la formation aux premiers secours conformment aux textes rglementaires en vigueur ou dans le cadre dune activit professionnelle lorsque celles-ci sont exiges.";
    }
    
    $notification_formation_continue="
    Vous avez suivi une session de formation continue relative   ".$description."  (".$type."), organise ".$periode."  ".$lieu.".\n
    Lquipe pdagogique dsigne pour cette session a procd  votre valuation conformment aux dispositions rglementaires en vigueur.\n
    Celle-ci na pas permis de donner un avis favorable pour permettre la reconduction de vos fonctions en qualit de [secouriste, quipier secouriste, formateur en prvention et secours civiques, formateur aux premiers secours, formateur de formateurs]  compter de ce jour jusqu une nouvelle valuation favorable lors dune formation continue.\n
    Cette dcision entrane une incapacit temporaire  exercer [votre/vos] fonction(s) dans les organismes habilits, associations agres ou dans toute autre activit professionnelle lorsque cette/ces comptence(s) est (sont) exige(s).\n
    Vous pouvez suivre une mise  niveau de vos connaissances afin de procder  une nouvelle valuation. Si lvaluation est favorable, vous pourrez exercer immdiatement [votre/vos] fonction(s) aprs lobtention de lattestation de formation continue.\n
    Enfin, il vous appartient de transmettre cette dcision  lensemble de vos autorits demploi dont vous assurez des missions qui requirent des comptences en matire de premiers secours.";
}
//-------------------------------------------
// Attestations de formation initiales
//-------------------------------------------
else {
    $attestation_complement1="Cette attestation autorise lautorit demploi de";
    $attestation_complement2=" linscrire sur une liste daptitude permettant lemploi en qualit de";

    $attestation_complement3=" condition que les autres modalits de larrt du 24/05/2000 soient satisfaites.";
    $attestation_arretes=" Vu la loi n 2004-811 du 13/08/04 de la modernisation de la Scurit Civile;
     Vu le dcret n 91-834 du 30/08/91 modifi, relatif  la formation aux premiers secours;
     Vu le dcret n97-48 du 20/01/97 portant diverses mesures relatives au secourisme;
     Vu le dcret n 2006-237 du 27/02/06 relatif  la procdure dagrment de scurit civile, notamment ses articles 1 et 3;
     Vu larrt du 08/07/92 modifi, relatif aux conditions dhabilitation ou dagrment pour les formations aux premiers secours;
     Vu larrt du 24/05/00 portant organisation de la formation continue dans le domaine des premiers secours;";
}


//-------------------------------
// factures individuelles
//-------------------------------
if ( $mode == 7 ) {
    $facture1="Suite  votre participation  la formation suivante, veuillez trouver votre facture.";
    $facture2="Facture non assujettie  la TVA.";
    $facture3="Dans l'attente de votre aimable rglement.";
    $facture4="Facture rgle";
}

//-------------------------------
// attestation de prsence SST
//-------------------------------
if ( $mode == 10 ) {
    if ( $type == 'SST' ) {
        $lig1="En rfrence au procs-verbal, rdig le $maxdate  l'issue de la formation de Sauvetage Secourisme du Travail.";
        $lig2="Je soussign, ".$responsable_evt.",  Formateur en Sauvetage Secourisme du Travail de la Fdration Nationale de Protection Civile,";
        $lig3="Certifie que :";
        $lig4="A particip  la Formation de Sauveteurs Secouristes du Travail";
    }
    if ( $type == 'PRAP' ) {
        $lig1="En rfrence au procs-verbal, rdig le $maxdate  l'issue de la formation de Prvention des Risques lis  l'Activit Physique.";
        $lig2="Je soussign, ".$responsable_evt.",  Formateur en Prvention des Risques lis  l'Activit Physique de la Fdration Nationale de Protection Civile,";
        $lig3="Certifie que :";
        $lig4="A particip  la Formation de Prvention des Risques lis  l'Activit Physique";
    }        
    $lig5="Pour servir et valoir ce que de droit.";
    $lig6="Cette attestation n'est pas une attestation de russite";
}
//-------------------------------
// convention Formation
//-------------------------------
if ( $mode == 26 ) {
$ct = array ();
$cs = array ();
$y_after_new_page=46;
$cs[]="addpage";$ct[]="";
$cs[]="setxy";  $ct[]="15,".$y_after_new_page;
if ( $num_convention <> "" ) $d = " n".$num_convention; else $d=' n non dfini';
$cs[]="title1"; $ct[]="CONVENTION ".$d;
$cs[]="setxy";  $ct[]="15,60";
$cs[]="bold";  $ct[]=" Entre : ".$company;
$association=ucfirst($section_prefix)." ".$section_affiche.$antenne_affiche;
$cs[]="bold"; $ct[]=" Et : ".$association;
$cs[]="title2";  $ct[]="\n1) ".$association." s'engage:";
$cs[]="small";  $ct[]=" 1.1) Type de formation: ".$TF_LIBELLE." ".$type;
$cs[]="small";  $ct[]=" 1.2) Dure de la formation: ".$E_DUREE_TOTALE." h";
$cs[]="small";  $ct[]=" 1.3) Date de la formation: ".$dates_heures;
$cs[]="small";  $ct[]=" 1.4) Lieu de la formation: ".$lieu;
$cs[]="small";  $ct[]=" 1.5) Nombre de participants: ".$nb_stagiaires;
$cs[]="small";  $ct[]=" 1.6) Noms des participants: ";
$inscrits=get_noms_inscrits($evenement,$mode='stagiaires');
$cs[]="chapter";  $ct[]=$inscrits;
$cs[]="small";  $ct[]=" 1.7) Nom des intervenants prvus: ";
$formateurs=get_noms_inscrits($evenement,$mode='formateurs');
$cs[]="chapter";  $ct[]=$formateurs;
$cs[]="small";  $ct[]=" 1.8) Nom et adresse de facturation: ".$company." ( Adresse : ".$company_address." ".$company_cp." ".$company_city." )\n";
$cs[]="title2";  $ct[]="\n2) ".$company." s'engage :";
$cs[]="small";  $ct[]=" 2.1) Verser  ".$association.", aprs la ralisation de laction de formation et  mission de sa facture, la somme de ".$E_TARIF." ".$default_money_symbol." par personne pour la prestation (exonr de TVA) par mandat administratif.";
$total_amount = floatval($E_TARIF) * intval($nb_stagiaires);
$cs[]="small";  $ct[]=" 2.2)  Soit un total de ".$total_amount." ".$default_money_symbol." pour la session de ".$nb_stagiaires." candidats au total.";
$cs[]="small";  $ct[]="\n\n\nFait  ".$organisateur_city.", le ".date('d-m-Y');

$cs[]="italic"; $ct[]="Pour ".$section_prefix." ".$section_affiche.",\n".$chef;
if ( $company == "" ) $o="l'organisateur";
else $o=$company ;
$cs[]="righti"; $ct[]="Fait  . . . . . . . . . . . . . . . . . . . . . le . . . . . . . . . . . . . . . . . . . \nPour $o".
"\n\n\n";
$cs[]="image_signature";$ct[]="20,235";
$cs[]="setxy";  $ct[]="15,260";
$cs[]="italic"; $ct[]="Convention tablie en trois exemplaires originaux, dont deux  retourner signs pour accord au sige de ".$association.".";
}

//-------------------------------
// conventions DPS
//-------------------------------
if ( $mode == 6 ) {
$ct = array ();
$cs = array ();
$y_after_new_page=46;
$cs[]="addpage";$ct[]="";
$cs[]="setxy";  $ct[]="15,".$y_after_new_page;
$cs[]="right";  $ct[]="".$company.""."\n ".$company_address.""."\n ".$company_cp."  ". "".$company_city."";
$t="Objet : Dispositif secouriste ".$description."\nAffaire suivie par : ";
if ( $responsable_evt == "" ) 
    $t .=$responsable_antenne."\nTl. ".$S_PHONE."\nEmail : ".$S_EMAIL;
else
    $t .=$responsable_evt."\nTl. ".$responsable_evt_phone."\nEmail : ".$S_EMAIL;
$cs[]="bold"; $ct[]=$t;
$cs[]="right";  $ct[]="\n".$organisateur_city." le ".date('d-m-Y')."";
$cs[]="normal"; $ct[]="\n\n"."Madame, Monsieur,"."\n"."\nSuite  votre demande de mise en place d'un dispositif prvisionnel de secours (DPS), vous trouverez ci-joint :";
$cs[]="normal"; $ct[]="Deux exemplaires de la convention prcisant les modalits de notre accord. Vous voudrez bien les complter et nous retourner un exemplaire sign.";
$cs[]="normal"; $ct[]="Dans l'attente, veuillez, Madame, Monsieur, accepter nos salutations les meilleures.";
$cs[]="righti"; $ct[]="\n "."\n "."\n ".$titre_prefix." ".$titre.", ".$chef."\n "."\n "."";
$cs[]="image_signature";$ct[]="150,183";
$cs[]="addpage";$ct[]="";
$cs[]="setxy";  $ct[]="15,".$y_after_new_page;
$d = $description;
if ( $num_convention <> "" ) $d = $description." - convention n".$num_convention;
$cs[]="title1"; $ct[]="Convention pour la mise en place d'un Dispositif Prvisionnel de Secours \n".$d;
$cs[]="setxy";  $ct[]="15,70";
$cs[]="title1"; $ct[]="1. Association Prestataire";
$cs[]="normal"; $ct[]=" ".ucfirst($section_prefix)." ".$section_affiche." ".$antenne_affiche.
"\n Adresse : ".$S_ADDRESS." ".$S_ADDRESS_COMPLEMENT." ".$S_ZIP_CODE." - ".$S_CITY.
"\n Tlphone : ".$S_PHONE.
"\n Courriel : ".$S_EMAIL.
"\n Ci-aprs dsigne : Association prestataire".
"\n Reprsent par (Prnom, Nom) : ".$responsable_antenne;
$cs[]="italic"; $ct[]="Association ayant reu notamment une autorisation dexercice dconcentre pour les missions de scurit civile de type D (Certificat Original dAffiliation en annexe) par sa rgulire affiliation  la Fdration Nationale de Protection Civile (".$cisname."), association de scurit civile agre au plan national par arrt ministriel.\n\n";
$cs[]="title1";  $ct[]="2. Organisateur de l'vnement";
$cs[]="normal";  $ct[]=" Raison sociale de l'organisateur : ".$company."".
"\n Adresse : ".$company_address." ".$company_cp." - ".$company_city.
"\n Tlphone : ".$company_phone."".
"\n Courriel : ".$company_email."".    
"\n Ci-aprs dsigne : l'organisateur";

$cs[]="normal";
if ( strlen (preg_replace('/\s+/', '', $representant_legal)) > 0)
    $ct[]=" Reprsentant Lgal: ".$representant_legal."\n\n";
else 
    $ct[]=" Reprsent par (Prnom, Nom) : ".$company_representant."\n\n";

$cs[]="title1"; $ct[]="3. Objet de la convention";
$cs[]="title2"; $ct[]="3.1 Objet";
$cs[]="normal"; $ct[]="La prsente convention a pour but de fixer les modalits de fonctionnement entre:";
$cs[]="italic"; $ct[]=ucfirst($section_prefix)." ".rtrim($section_affiche)." ".rtrim($antenne_affiche).", qui peut rgulirement exercer, d'une manire dconcentre les missions de Dispositifs prvisionnels de Secours.";
$cs[]="normal"; $ct[]="et";
$cs[]="italic"; $ct[]=" ".$company;
$cs[]="normal"; $ct[]="pour la mise en place dun Dispositif Prvisionnel de Secours, ceci afin de bien clarifier le cadre juridique de la prestation de service assure."; 
$a="La mise en place du Dispositif Prventif de Secours concerne";
if ($is_acteurs > 0)
     $a .=" les acteurs de la manifestation (joueurs, comptiteurs, comdiens, ...) et le public.";
else
    $a .=" le public seulement.";
$cs[]="normal"; $ct[]= $a;
$cs[]="addpage";$ct[]="";
$cs[]="setxy";  $ct[]="15,".$y_after_new_page;
$cs[]="title2"; $ct[]="3.2 Descriptif de l'vnement";
if ( strlen (preg_replace('/\s+/', '', $custom_horaire)) > 0) $periode_long =   str_replace(array("\n","\r"), ' ', $custom_horaire);

$cs[]="normal"; $ct[]=" Nom de l'vnement : ".$description.""."\n Date(s) : ".$periode_long.""."\n Lieu : ".$lieu."\n Adresse prcise : ".$E_ADDRESS;
$cs[]="title2"; $ct[]="3.3 Grille d'valuation des risques";
$cs[]="normal"; $ct[]="Cet vnement a fait l'objet par l'organisateur d'une valuation des risques dont la grille figure en annexe de la prsente convention.";
$cs[]="title2"; $ct[]="3.4 Autorisations";
$cs[]="normal"; $ct[]="L'organisateur reconnait possder toutes les autorisations ncessaires au droulement de la dite manifestation et avoir souscrit une assurance responsabilit civile organisateur.";
$cs[]="title2"; $ct[]="3.5 Responsabilits";
$cs[]="normal"; $ct[]="Conformment aux textes rglementaires, l'organisateur est responsable de l'ensemble de l'organisation et des mesures prises en liaison avec l'autorit de police comptente (maire, prfet).".
"\nLa mise en place d'un dispositif de secours ne peut avoir pour consquence un transfert de responsabilit vers l'association prestataire.\n\n";

$cs[]="title1"; $ct[]="4. Prestations fournies par le prestataire";
$cs[]="title2"; $ct[]="4.1 Type du dispositif mis en place";
$cs[]="normal"; $ct[]="Pour rpondre  la demande crite formule par ".$company.", et au vu du rsultat de la grille dvaluation des risques renseigne en fonction des lments dvaluation fournis par lorganisateur et co-signe (voir annexes), ".$section_prefix." ".$section_affiche.", conformment aux directives du Rfrentiel National relatif aux Dispositifs Prvisionnels de Secours (RNDPS)  Ministre de lintrieur  arrt  NOR : INTE0600910A du 7 novembre 2006, applicables en la matire et opposables aux parties  la convention, et des prescriptions de l'association prestataire, sengage  mettre en placele  Dispositif Prvisionnel de Secours suivant:";   
$cs[]="bold"; $ct[]=" ".$type_evenement." : ".$tdps."";
$cs[]="title2"; $ct[]="4.2 : Composition du dispositif ";
$cs[]="normal"; $ct[]="Nombre d'intervenant secouriste : ".intval($nb_is)."".
"\nVhicules de Premier Secours : ".intval($nb_vpsp)."".
"\nAutres vhicules :  ".intval($nb_autres_vehicules);
$cs[]="addpage";$ct[]="";
$cs[]="setxy";  $ct[]="15,".$y_after_new_page;
$cs[]="title2"; $ct[]="4.3 : Informations concernant le dispositif ";
$cs[]="title3"; $ct[]="4.3.1 : Les intervenants ";
$cs[]="normal"; $ct[]="- Les quipiers secouristes sont titulaires du Diplme de premier Secours en quipe de niveau 2 (PSE2), valids dans leur aptitude oprationnelle conformment  la rglementation en vigueur et ports sur les listes daptitude oprationnelles.
- Les secouristes sont titulaires du Diplme de premier Secours en quipe de niveau 1 (PSE1), valids dans leur aptitude oprationnelle et ports sur les listes daptitudes oprationnelles.
- Un membre de  chaque quipe exerce les fonctions de chef dquipe.
- En cas de besoin des Logisticiens Administratifs et Techniques (LAT) assurent les fonctions pour lesquelles ils ont comptence.
- En fonction de la taille du DPS, un ou deschef(s) de  poste, chef(s) de section, chef(s) de secteur, chef de dispositifs, cadres oprationnels  (est  ou sont) dsign(s)  par l'association prestataire.";
 $cs[]="title3"; $ct[]="4.3.2 : Moyens matriels ";
$cs[]="normal"; $ct[]="- Les  diffrents lots de matriels mis  disposition sont conformes au RNDPS du 7 novembre 2006.";
$cs[]="normal"; $ct[]="- Les Vhicules de Premiers Secours  Personnes (V.P.S),  utiliss  comme Postes de Secours Mobiles ou Fixes, sont  dots dune cellule de soins  adapte et des matriels permettant dassurer les premiers secours ainsi que le conditionnement dune victime.\n";
$cs[]="title2"; $ct[]="4.4 Missions ";
$cs[]="normal"; $ct[]="Les moyens mis en place par l'association prestataire sont destins  assurer une prsence prventive pendant la manifestation faisant l'objet de cette convention :";
$cs[]="bold";   $ct[]="Points d'alertes et de premiers secours :";
$cs[]="normal"; $ct[]="1 Reconnatre et analyser la situation accidentelle,".
" 2 Prendre les premires mesures adaptes de scurit et de protection,".
" 3 Alerter les secours publics,".
" 4 Prodiguer  la victime des gestes de premier secours ralisables  2 intervenants,".
" 5 Accueillir les secours et faciliter leur intervention.";
$cs[]="bold";   $ct[]="Poste de secours : ";
$cs[]="normal"; $ct[]="1 Reconnatre et analyser la situation accidentelle,".
" 2 Prendre les premires mesures adaptes de scurit et de protection,".
" 3 Faire un bilan et porter les premiers secours ncessaire  une victime,".
" 4 Prodiguer des conseils adapts  une victime qui pourrait partir par ses propres moyens,".
" 5 Contribuer  la mise en place de la chane des secours allant de l'alerte jusqu' la prise en charge de la victime par les pouvoirs publics,".
" 6 Accueillir les secours et faciliter leur intervention";
$cs[]="bold"; $ct[]="Une quipe de secours peut prendre en charge : ";
$cs[]="normal"; $ct[]="- Une seule victime atteinte d'une dtresse vitale
- Un nombre de victimes sans gravits, quivalent  celui des intervenants qui la composent";
$cs[]="addpage";$ct[]="";
$cs[]="setxy";  $ct[]="15,".$y_after_new_page;
$cs[]="title2"; $ct[]="4.5 Transport des victimes ";
$cs[]="normal";
if ($transport == 1)
    $ct[]="Les Vhicules de Premiers Secours  Personnes (V.P.S) de l'association prestataire, conventionne au titre de l'article L725-4 du Code de la Scurit Intrieure, peuvent, aprs accord du mdecin rgulateur du service daide mdicale durgence et sous son autorit, participer en complment des secours publics,  lacheminement des victimes vers une structure daccueil, de soins ou un point relais.";
else
    $ct[]="L'association prestataire n'assurera pas le transport des victimes vers un centre hospitalier. Les ventuelles vacuations des blesss ou malades sont assures par les services publics de secours";
$cs[]="title2"; $ct[]="4.6 Modalits oprationnelles ";
$cs[]="normal"; $ct[]="- Les intervenants  sont revtus de leur tenue officielle.
- Ils interviennent sous la direction de lencadrement mis en place par ".$section_prefix." ".$section_affiche." ".$antenne_affiche.".
- L'association est reprsente oprationnellement par ".$responsable_evt.", qui est joignable au: ".$responsable_evt_phone.", qui a procd  la dsignation du chef d'quipe (ou chef de poste, ou chef de section).
- Le chef de poste prendra contact avec le bnficiaire ds son arrive sur site pour vrifier la concordance avec les clauses techniques de la convention, mettre en place le dispositif et dterminer les modalits opratoires lies  lvnement.
- Les intervenants et vhicules sont dots de moyens radio sur frquence propres. Ces moyens peuvent constituer un rseau qui ncessite la mise en place de matriels spcifiques et la prsence doprateurs radio.\n\n";
$cs[]="title1"; $ct[]="5. Engagements de l'organisateur"; 
$cs[]="title2"; $ct[]="5.1 Aspects logistique";
$cs[]="title3"; $ct[]="5.1.1 Locaux, matriels, moyens de communication";
$cs[]="normal"; 
if ( $moyen_installation_1 <> "" ) 
    $ct[]="L'organisateur s'engage  mettre  la disposition des quipes de secours, afin que celles ci puissent travailler dans des conditions optimales:"."\n".$moyen_installation_1;
else 
    $ct[]="Pas de moyens particuliers prvus.";
    
$cs[]="addpage";$ct[]="";
$cs[]="setxy";  $ct[]="15,".$y_after_new_page;
$cs[]="title3"; $ct[]="5.1.2 Dispositf d'alerte des secours publics";
$cs[]="normal"; $ct[]="L'organisateur s'engage  mettre  la disposition des quipes de secours, un moyen d'appel des secours publics.";
$cs[]="title3"; $ct[]="5.1.3 Conditions de vie";
if ($repas == 1) {
    $cs[]="normal"; $ct[]="Lorganisateur sengage  fournir des repas ou paniers-repas quilibrs et boissons sans alcool en quantits suffisantes pour lensemble des intervenants."; }
else {
    $cs[]="normal"; $ct[]="Les repas et les boissons des secouristes prsents ne seront pas pris en charge par l'organisateur."; }

$cs[]="title2"; $ct[]="5.2 Modalits oprationnelles";
$cs[]="title3"; $ct[]="5.2.1 Correspondant de l'organisateur";
$cs[]="normal"; $ct[]="".$contact." membre de l'organisateur, est dsign comme interlocuteur de l'association prestataire le jour de la manifestation.";

$cs[]="title3"; $ct[]="5.2.2 Chane de commandement du DPS";
$cs[]="normal"; $ct[]="Le commandement du dispositif sera assur parl'association prestataire.";

if ( $interassociatif ) {
    $cs[]="title3"; $ct[]="5.2.3 Cas particulier d'un DPS Inter associatif";
    $cs[]="normal"; $ct[]="L'organisateur dsignera le coordinateur inter-associatif.";
}
$cs[]="title2"; $ct[]="5.3 Modalits financires";
$cs[]="title3"; $ct[]="5.3.1 Montant de la participation";
$a="L'intervention des secouristes demeure bnvole et l'action de l'association prestataire est  but non lucratif. \nToutefois, l'organisateur ddommage l'association des frais engendrs (dplacements, matriel, oxygne, produits pharmaceutiques...)";
if ( $montant_devis <> "" ) $a .= ", estims  ".$montant_devis." ".$default_money_symbol.".";
else $a .= ", pour un montant dfini dans le devis remis par l'association.";
$cs[]="normal";$ct[]=$a;

$cs[]="title3"; $ct[]="5.3.2 Conditions de paiement";
$cs[]="normal"; $ct[]="Cette somme sera rgle par virement ou par chque libell  l'ordre de: ".$section_prefix." ".$section_affiche." ".$antenne_affiche;

$cs[]="title1"; $ct[]="6. Engagement des deux parties";
$cs[]="title2"; $ct[]="6.1 Dure de la convention";
$cs[]="normal"; $ct[]="Cette convention est signe pour la dure de l'vnement objet de la prsente.";    
$cs[]="title2"; $ct[]="6.2 Condition de ralisation";
$cs[]="normal"; $ct[]="L'engagement de l'association prestataire est li:".
"\n-  l'acceptation de la prsente convention par l'organisateur.".
"\n-  l'autorisation de l'vnement par les pouvoirs publics.\n\n";

$cs[]="title1"; $ct[]="7. Grille d'valution des risques";
$cs[]="normal"; $ct[]="Cette grille remplie sous la responsabilit de l'organisateur figure en annexe de la prsente convention.\n\n";    

$cs[]="addpage";$ct[]="";
$cs[]="setxy";  $ct[]="15,".$y_after_new_page;
$cs[]="title1"; $ct[]="8. Clauses particulires";
$cs[]="normal"; $ct[]="".$clause_particuliere_1.""."\n\n".$clause_particuliere_2."\n";

$cs[]="title1"; $ct[]="9. Litiges";
$cs[]="normal"; $ct[]="En cas de litige pendant et aprs la manifestation,  dfaut d'entente entre l'association prestataire et l'organisateur, le contentieux pourra faire l'objet de recours devant les tribunaux comptents.";
$cs[]="normal"; $ct[]="\n\n\n\nConvention tablie en double exemplaires  ".$organisateur_city.", le ".date('d-m-Y');
if ( $company == "" ) $o="l'organisateur";
else $o=$company ;
$cs[]="italic"; $ct[]="\n\n\n\nPour $o".
"\n(Cachet, nom et prnom,fonction du signataire)"."\n\n\n\n\n\n";
$cs[]="righti"; $ct[]="Pour ".$section_prefix." ".$section_affiche.",\n".$chef."\n  "."\n  "."\n";
$k = strlen($clause_particuliere_1.""."\n\n".$clause_particuliere_2) / 20 ;
$_y = 210 +  $k;
$cs[]="image_signature";$ct[]="150,".$_y;
}

if ( substr($cisurl, 0, 4) <> 'http' ) $cisurl ="http://".$cisurl;

if ( $mode == 50 ) {
$nouvel_adherent1="
Cher adhrent,\n
Nous vous souhaitons tout dabord la bienvenue au sein de la Fdration Autonome SPP-PATS et nous vous remercions chaleureusement de la confiance que vous nous avez tmoigne en rejoignant notre Fdration. Votre adhsion prend effet  partir du ".$P_DATE_ENGAGEMENT.".\n
La FA/SPP-PATS est la 1re force syndicale dans la corporation des SPP, reprsentant plus de 6000 adhrents rpartis dans plus de 60 dpartements. Elle est dmocratique, apolitique et a pour but la dfense des intrts collectif et individuel des SPP et PATS.\n
Ladhsion  la FA/SPP-PATS vous apporte une aide  lassistance et  la protection juridique professionnelle ainsi que la certitude dtre inform sur les diffrents dossiers intressant les Sapeurs-Pompiers Professionnels et les Personnels Administratifs Techniques et Spcialiss.\n
De mme que vous pouvez dsormais entrer dans laccs rserv de notre site internet (www.faspp-pats.org) :\n
Votre identifiant : ".$P_CODE."\n
Votre carte dadhrent numrise est ds  prsent disponible et tlchargeable depuis votre espace.\n";

$nouvel_adherent2="
Si vous nous avez fourni une adresse email, un courriel vous indiquant votre mot de passe vous a t envoy lors de votre inscription dans notre base dadhrents.
Pour tout oubli ou problme de mot de passe, rendez-vous sur notre base dadhrents : ".$cisurl.", dans la rubrique Mot de passe perdu afin den gnrer un nouveau  laide de votre identifiant et de votre adresse email.
(Noubliez pas de changer votre mot de passe ds votre premire visite).\n
Si vous navez pas indiqu dadresse mail, merci de prendre contact auprs de notre service adhrent par mail ou tlphone.";

$nouvel_adherent3="
Vous avez opt pour le mode de paiement par prlvement SEPA dont voici les caractristiques :
Nom du crancier : FA/SPP-PATS
Identifiant Crancier SEPA (ICS) : FR57ZZZ428791
Rfrence unique de Mandat (RUM) : 0000007590
Date de dbut des chances : ".$date_debut_echeances."
Dun montant mensuel de : ".$montant_mensuel;

$nouvel_adherent4="Pour recevoir les informations en temps rel, nous vous invitons ds aujourdhui  nous communiquer votre adresse mail. Pour cela, rien de plus simple, envoyez un mail  ladresse suivante : adherent@faspp-pats.org en nous indiquant votre nom et les coordonnes mail auxquelles vous souhaitez recevoir les informations.\n
Enfin, pour toute question, nhsitez pas  nous contacter par tlphone, par courrier ou par mail, lquipe de la Fdration Autonome, votre correspondant comme votre prsident dpartemental se tiennent  votre entire disposition.\n
Nous vous prions de recevoir, cher adhrent, nos salutations amicales.\n";
}

?>
